--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new MessageTemplate associated to BotModule <em>botmodule</em>, with template <em>template</em> and options <em>opts</em>
full_name: Irc::Bot::MessageTemplate::new
is_singleton: true
name: new
params: " initialize(botmodule, template, opts={})\n"
visibility: public
